// COINS & OKITO BOX
//
// By Tom Stone 1999
// Email: tom.stone@swipnet.se
// http://home5.swipnet.se/~w-52256/
//


#include "colors.inc"	
#include "textures.inc"	
#include "metals.inc"

#declare CoinTexture = texture{T_Brass_4B normal {bozo 0.15 scale 6 } finish{F_MetalB reflection{.1,.1} ambient 0.0}}
#declare RimTexture = texture{T_Brass_4A}



//=======================Half Dollar Parts=======================================
#declare Head = height_field
{
    png "50cent_height.png"     
    texture {CoinTexture}
    translate <-0.5, -0.5, -0.5> scale <24.25, 0.3, 24.25>
    clipped_by { cylinder { 1*y, -1*y, 12 } }
}

#declare Tail = height_field
{
    png "50cent_height.png"     
    texture {CoinTexture}
    translate <-0.5, -0.5, -0.5> scale <24.25, 0.3, 24.25>
    clipped_by { cylinder { 1*y, -1*y, 12 } }
}

#declare Rim = difference
{
    torus{12.0,0.38 texture{CoinTexture} scale<1, 2.80, 1>}

    #declare RimHack = 0;
    #declare HackRot = 0;
    
    #while (RimHack < 144)
        cylinder{<12.125, 2.3, 0>,  <12.125, -2.3, 0>,  0.17 texture {RimTexture} rotate <0, HackRot, 0>}
        #declare HackRot = HackRot + 2.5;
        #declare RimHack = RimHack +1; 
    #end
}


//=======================Half Dollar Assembling=======================================
#declare PreHalfDollar = union{
object{Rim}
object{Head translate <0, 1.0, 0>}
object{Tail rotate <0, 0, 180> translate <0, -1.0, 0>}
//translate<0,1.5,0>
}


#declare HalfDollar = object{PreHalfDollar scale<1, 1, 1>}

//=======================Half Dollar Assembling end=======================================

