/*
 * Copyright 2010 Matthias Weisser <matthias@matwei.de>
 *
 * This file is part of Eagle3D
 *
 * Eagle3D is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 2 of the License.
 *
 * Eagle3D is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

/*
 * This is the global texture definition file. All texture definitions
 * for parts have to be taken from here or have to be defined here.
 */

#ifndef(__e3d_tex_inc)
#declare __e3d_tex_inc = true;

//------------------------------------------------------------------------------
//Texture settings

//Gold
#declare e3d_tex_gold = //texture{e3d_tex_gold}
    texture{
        T_Gold_5E 
        finish{
            F_MetalA 
            
        }
    };

//Silver
#declare e3d_tex_silver = //texture{e3d_tex_silver}
texture {T_Silver_5A 
            finish{ 
                phong 0.4
                //phong_size 100
                conserve_energy
                diffuse 0.3
                roughness 0.4
                brilliance 0.54
                metallic
                reflection{0.3,0.2}
                  }
          };


#declare e3d_tex_silver_smd_solder = //texture{e3d_tex_silver}
texture {T_Silver_5A finish{ phong 0.8 conserve_energy diffuse 0.3 roughness 1 reflection 0.3}};

#declare e3d_tex_silver_smd_cap = //texture{e3d_tex_silver}
texture {T_Silver_2A finish{ phong 1 conserve_energy diffuse 0.5 roughness .3 metallic reflection {0.25
          metallic} irid {0.10 thickness 0.5 turbulence 0.1}}};

//Dark gray for SMD aluminium electrolytic cap base
#declare e3d_tex_cap_smd_electrolytic_base = //texture{e3d_tex_cap_smd_electrolytic_base}
    texture{
        pigment {Gray10}
        finish{}
    }


//Plastic body of an IC
#declare e3d_tex_plastic = //texture{e3d_tex_ic_body_1}
    texture{
        pigment{rgb<0.01,0.01,0.005>}
        finish{phong 0.9 phong_size 250 specular 0.05 reflection 0.002 diffuse 0.8 brilliance 0.8 roughness 0.001}
    }


//Plastic body of an IC
#declare e3d_tex_ic_body_1 = //texture{e3d_tex_ic_body_1}
    texture{
        pigment{Gray05}
        finish{phong 0.5 phong_size 30 diffuse 0.2 roughness 1}
    }


//Plastic body of an IC
#declare e3d_tex_ic_body_2 = //texture{e3d_tex_ic_body_2}
    texture{
        pigment{Gray05}
        finish{phong 0.1 phong_size 25 diffuse 0.2}
    }
    
//Bright IC marking
#declare e3d_tex_ic_marking_bright = //texture{e3d_tex_ic_marking_bright}
    texture{
        pigment{Gray30}
        finish{phong 0.5 phong_size 30 ambient 0.1 diffuse 0.2  roughness 1}
    }
    
//White IC marking
#declare e3d_tex_ic_marking_white = //texture{e3d_tex_ic_marking_white}
    texture{
        pigment{Gray95}
        finish{phong 0.5 phong_size 30 ambient 0.1 diffuse 0.2  roughness 1}
    }    

//Black IC marking
#declare e3d_tex_ic_marking_black = //texture{e3d_tex_ic_marking_black}
    texture{
        pigment{Black}
        finish{}
    }
    
//Black cap marking
#declare e3d_tex_cap_marking_black = //texture{e3d_tex_cap_marking_black}
    texture{e3d_tex_ic_marking_black}
    
//White cap marking
#declare e3d_tex_cap_marking_white = //texture{e3d_tex_cap_marking_white}
    texture{e3d_tex_ic_marking_white}    
    

//Purple Sanyo cap marking
#declare e3d_tex_cap_marking_purple = //texture{e3d_tex_cap_marking_purple}
    texture{
		pigment{color rgb<0.43,0.08,0.33> transmit 0.2}
        	finish{ phong 0.8 ambient 0.01 diffuse 0.9 reflection{.1,.2  falloff 50 metallic}}
    }
//Blue color for block cap
#declare e3d_tex_cap_block_blue = //texture{e3d_tex_cap_block_blue}
    texture{
        pigment {rgb<0.2,0.4,1>}
        finish{}
    }
    
//Red color for wima cap
#declare e3d_tex_cap_wima = //texture{e3d_tex_cap_wima}
    texture{
        pigment {Red}
        //finish{phong 0.1 phong_size 25 diffuse 0.6  ambient (0.01 * global_ambient_mul)}
        finish{phong 0.9 phong_size 250 specular 0.05 reflection {0.05,0.17} diffuse 0.8 brilliance 0.8 roughness 0.001}
    }
    
//Dark gray for SMD aluminium electrolytic cap base
#declare e3d_tex_cap_smd_electrolytic_base = //texture{e3d_tex_cap_smd_electrolytic_base}
    texture{
        pigment {Gray10}
        finish{}
    }
    
//The shade of brown you see on 100nF SMD ceramic caps
#declare e3d_tex_cap_smd_ceramic_1 = //texture{e3d_tex_cap_smd_ceramic_1}
    texture{
        pigment{DarkWood}
        finish{}
    }

//The shade of gray you see on 100nF SMD FKP caps
#declare e3d_tex_cap_smd_fkp_1 = //texture{e3d_tex_cap_smd_fkp_1}
    texture{
        pigment{DarkSlateGray}
        finish{}
    }

//A silver heatsink as found on packages like TO220
#declare e3d_tex_heatsink_silver = //texture{e3d_tex_heatsink_silver}
    texture{
        T_Silver_5A 
        finish{phong 0.1 phong_size 10 }
    }


//------------------------------------------------------------------------------
//Shrouded Header
// hellgrauer Kunststoff
#declare col_Wannen = 
    texture{
        pigment{Gray70}
        finish{}
    };  

//----------------------------------------------------------------------
//Molex Stiftleisten
// hellbeiger Kunststoff Molex-Stiftleisten
#declare col_Molex =    
    texture {
        pigment{Wheat}
        finish{}
    };
//----------------------------------------------------------------------
//Keramik-Scheibenkondensatoren
// braune Keramik-Scheibenkondensatoren
#declare col_Kerko = 
    texture{
        pigment{MediumWood}
        finish{}
    }
//******************************************************************************************************

//------------------------------------------------------------------------------
//for backward compatibility (Will try to get rid of them)
#declare col_gold   = texture{e3d_tex_gold};
#declare col_silver = texture{e3d_tex_silver};


#end //__e3d_tex_inc


