//Header Start

// POVRay-Datei erstellt mit 3d50.ulp v###VERSIONDUMMY###
// 07.04.2015
// Anpassungen ChristianW. 2015
// http://www.mikrocontroller.net/topic/114555#3031915

// Render Parameter fr Command Line Options
// Command line +UA +J1.5 +AM2 +A0.3 +Q9 +R3 +FN12

#version 3.7;

//Set to on if the file should be used as .inc
#local use_file_as_inc = off;
#if(use_file_as_inc=off)

//default material finish if not defined
#default{texture{finish{ambient 0.0 diffuse 0.75 conserve_energy}}}

//changes the apperance of resistors (1 Blob / 0 real)
#declare global_res_shape = 1;

//oomize color of resistors 1=random 0=same color
#declare global_res_colselect = 1;

//Number of the color for the resistors
//0=Green, 1="normal color" 2=Blue 3=Brown
#declare global_res_col = 2;

//Set to on if you want to render the PCB upside-down
#declare pcb_upsidedown = off;

//Set to x or z to rotate around the corresponding axis (referring to pcb_upsidedown)
#declare pcb_rotdir = x;

//Set the length off short pins over the PCB
#declare pin_length = 1.5;


#declare global_diode_bend_radius = 1;
#declare global_res_bend_radius = 1;
#declare global_solder = on;
#declare global_show_screws = on;
#declare global_show_washers = on;
#declare global_show_nuts = on;
#declare global_ambient_mul = 1;
#declare global_ambient_mul_emit = 0;


// Misc Render Options
#declare e3d_HDRI_On = 1; // HDR-Beleuchtung ber Lightprobe - 1 = ein | 0 = aus
#declare e3d_Radiosity_On  = 1; // Radiosity 0=aus, 1=ein
#declare e3d_focal_blur = off; // Tiefenschrfe von Kamera


// PCB Farbsetting 1-10
//  1 = Thin Green
//  2 = Grey
//  3 = 1980s green
//  4 = Homemade ohne Loetstop
//  5 = Homemade mit HAL
//  6 = PCB Real alternative
//  7 = Team Executer (white)
//  8 = iteadstudio (green)
//  9 = Illustration - render with Q0
// 10 = OSH PARK (Purple)
// 11 = MME PCB
// 12 = Elecroy Black PCB
#declare col_preset = 11;

// FINISH Preset
// 1 = ENIG
// 2 = FLASH GOLD
// 3 = HASL
#declare finish_preset = 1;

// SILKSCREEN Preset
// 1 = WHITE
// 2 = BLACK
#declare silkscreen_preset = 1;

//HDR-Map - See below
#declare HDR_Map = 12;


// Camera Position
#declare camera_position = 1;

#switch (camera_position)
    #case (1)
        // Gedreht
        #local cam_x = -50; // Position links rechts vom Zentrum
        #local cam_y = 220; //400 default //Hoehe ueber Boden
        #local cam_z = -100; //-228 // Entfernung nach vorne
        #local cam_a = 40; // Kamera Brennweite
    #break
    #case (2)    
        //Frontal
        #local cam_x = 0;
        #local cam_y = 115;
        #local cam_z = -114;
        #local cam_a = 40; //20
    #break
#end

    
//Camera focus
#local cam_focus_x = -0; //links rechts
#local cam_focus_y = 1.2; // Hhe ber Boden
#local cam_focus_z = 15; //vorn hinten

#local cam_show_focal_point = off; // Fokuspunkt als roten Punkt anzeigen
#local cam_aperture = 14; //15 Higher Aperture means less area in focus
#local cam_blur_samples = 128;        // Blur-Samples fr Verzeichnung DOF 4-32
#local cam_variance = 1/20000;
#local cam_confidence = 0.9;

//Kamerablickpunkt

#local cam_look_x = 10;
#local cam_look_y = -5; //-5
#local cam_look_z = 0;

#declare e3d_textured_floor = off; // Floortextur an aus
//#declare e3d_floor_texture = "iron.jpg" // Floortextur


#declare global_fast_mode = off;
#declare pin_short = on; // Pins krzen
#declare e3d_environment = off;

// PCB Position im Raum
#local pcb_pos_x = -5;
#local pcb_pos_y = 0;
#local pcb_pos_z = -52;

// PCB Rotation im Raum
#local pcb_rotate_x = 0; //vorne hinten
#local pcb_rotate_y = -120; // um sich selbst auf Platte -15 standart
//#local pcb_rotate_y = 0;
#local pcb_rotate_z = 0; // links rechts

// Spannungsfestigkeit SMD Elkos Marking Code
#declare USER_CAP_RATING = "25";
// Elko Textur 0=Fine Gold, 1=Panasonic FR, 2=Lila Std.
#declare ELEC_CAP_TEXTURE = 1;

#local pcb_board = on;
#local pcb_parts = on;
#local pcb_wire_bridges = off;
#if(global_fast_mode=off)
	#local pcb_polygons = on;
	#local pcb_silkscreen = on;
	#local pcb_wires = on;
	#local pcb_pads_smds = on;
#else
	#local pcb_polygons = off;
	#local pcb_silkscreen = off;
	#local pcb_wires = off;
	#local pcb_pads_smds = off;
#end

//Do not change these values
#declare pcb_height = 1.500000;
#declare pcb_cuheight = 0.03500;
#declare pcb_x_size = 21.895000; // obsolete
#declare pcb_y_size = 53.012500; // obsolete
#declare pcb_layer1_used = 1;
#declare pcb_layer16_used = 1;
#declare inc_testmode = off;
#declare global_seed=seed(1723);
#declare global_pcb_layer_dis = array[16]
{
	0.000000,
	0.000000,
	0.000000,
	0.000000,
	0.000000,
	0.000000,
	0.000000,
	0.000000,
	0.000000,
	0.000000,
	0.000000,
	0.000000,
	0.000000,
	0.000000,
	0.000000,
	1.535000,
}
#declare global_pcb_real_hole = 0.03; 

#include "e3d_tools.inc"
#include "e3d_user.inc"   

//#include "COINS.INC"


global_settings{charset utf8}
global_settings { adc_bailout 0.3 }    //affects maximum reflection levels

// Radiosity Control
#if (e3d_Radiosity_On > 0)

       

global_settings {
 #ifndef ( e3d_Rad_Quality )
 #declare e3d_Rad_Quality = 1;  // 1=fast; 2=medium quality; 3=high qual.; 4= medium qual.+ recursion_limit 2
 #declare rad_brightness=0.6; // Radiosity-Beleuchtungsstrke - increase if needed
 assumed_gamma 0.8 // Bildbelichtung ber alles - mehr ist dunkler
#end

//--------- radiosity settings -------------------------------- ///

radiosity {

    #local p_start		=	64/image_width;
    #local p_end    	=	8/image_width;

}

    #switch (e3d_Rad_Quality)
        #case (1)
            radiosity {             // --- Settings 1 (fast) ---
                pretrace_start p_start
                pretrace_end   p_end
                count 25
                error_bound 0.8
                recursion_limit 1
                brightness rad_brightness
                gray_threshold 0.5
                normal 1.0
            }
        #break
        #case (2)
            radiosity {             // --- Settings 2 (medium quality) ---
                //pretrace_start 0.08
                //pretrace_end   0.02
                pretrace_start p_start
                pretrace_end   p_end  
                //count 200
                count 150
                error_bound 0.3
                nearest_count 20
                recursion_limit 1
                brightness rad_brightness
                gray_threshold 0.5
                normal 1.0
                minimum_reuse 0.005
            } 
        #break
        #case (3)
            radiosity {             // --- Settings 3 (high quality) ---
                //pretrace_start 0.08
                //pretrace_end   0.001
                pretrace_start p_start
                pretrace_end   p_end
                count 500 //500
                error_bound 0.1
                low_error_factor 0.01
                nearest_count 20
                recursion_limit 1
                brightness rad_brightness
                gray_threshold 0.5
                minimum_reuse 0.005
            }
        #break
        #case (4)
            radiosity {             // --- Settings 4 (medium quality, recursion_limit 2) ---
                //pretrace_start 0.08
                //pretrace_end   0.005
                pretrace_start p_start
                pretrace_end   p_end
                count 200
                error_bound 0.5
                nearest_count 20
                recursion_limit 2
                brightness rad_brightness
                gray_threshold 0.5
                minimum_reuse 0.005
            }     
        #break     
    #end  // end of switch

} // end of global settings !!!!    
#default{  finish { ambient 0.1 diffuse 0.6 conserve_energy specular 0.8 roughness 0.04}} // Mit Radiosity kein Ambient
//--------------------------------------------------------------------------
#else // no Radiosity
#default{ finish{ ambient 0.1 diffuse 0.9 specular 0.6 roughness 0.04}}
global_settings { assumed_gamma 0.9 // Bildbelichtung ber alles 
}
//#end
 // for intel computers
#end // Radiosity_On > 0
//--------------------------------------------------------------------------

//HDR-Map



#if (e3d_HDRI_On) // --------------------------------------------------- HDR
#switch(HDR_Map)
#case (1)
sky_sphere{ 
            pigment{ image_map{ hdr "outside.hdr" // Light-Probe im include
                                gamma 0.7           // Helligkeit der Map
                                map_type 1 interpolate 4 } //Map-Type passend zur Abwicklung 0 = planar, 1 = Abwicklung planar auf Kugel , 2 = cylinder, 7 Angular
                                
                   }
            rotate <0,0,2>  // 310 adapt it to your direction
            translate<0,0,0>
          
          } // end sky_sphere
#break

#case (2)
sky_sphere{pigment{ image_map{ hdr "averis003.hdr" gamma 0.5 map_type 1 interpolate 2 }} rotate < 10,0,0>}
#break
#case (3)
sky_sphere{pigment{ image_map{ hdr "beach_probe.hdr" gamma 1.0 map_type 1 interpolate 2 }} rotate < 10,0,0>}
#break
#case (4)
sky_sphere{pigment{ image_map{ hdr "building_probe.hdr" gamma 0.4 map_type 1 interpolate 2 }} rotate < 10,0,0>}
#break
#case (5)
sky_sphere{pigment{ image_map{ hdr "castle.hdr" gamma 2.2 map_type 1 interpolate 2 }} rotate < 0,0,0>}
#break
#case (6)
sky_sphere{pigment{ image_map{ hdr "crane.hdr" gamma 1.8 map_type 1 interpolate 2 }} rotate < 0,0,0>}
#break
#case (7)
sky_sphere{pigment{ image_map{ hdr "garage_lp.hdr" gamma 1.3 map_type 0 interpolate 2 }} rotate < 5,-5,0>}
#break
#case (8)
sphere{ 0,500 texture{pigment{ image_map{ hdr "kitchen_probe.hdr" gamma 1.1 map_type 1 interpolate 2 }}  rotate < -10,50,0> }}
#break
#case (9)
sky_sphere{pigment{ image_map{ hdr "overcast_day.hdr" gamma 1.4 map_type 1 interpolate 2 }} rotate < -10,50,0>}
#break
#case (10)
sky_sphere{pigment{ image_map{ hdr "overcast_hard.hdr" gamma 1.3 map_type 0 interpolate 2 }} rotate < -20,50,0>}
#break
#case (11)
sky_sphere{pigment{ image_map{ hdr "overcast_tech.hdr" gamma 0.2 map_type 0 interpolate 2 }} rotate < -10,40,0>}
#break
#case (12)
sky_sphere{pigment{ image_map{ hdr "studio005.hdr" gamma 0.8 map_type 1 interpolate 2 }} rotate < 5,-60,45>}
#break
#case (13)
sky_sphere{pigment{ image_map{ hdr "studio008.hdr" gamma 1.0 map_type 1 interpolate 2 }} rotate < -20,0,0>}
#break


#end       
#else
// no HDRI - Lichtbox als Flchenstrahler


light_source {
  <50, 340, 50>
  color rgb<1,1,1>*0.5
  area_light
  <256, 0, 0> <0, 0, 256>
  5, 5
  adaptive 2
  jitter circular orient
}

#end // of "#if (HDRI_On) "

// Weies Licht mit weichem Schatten
//----------------------------------
light_source {
  <120, 340, 50>
  color rgb<1,1,1>*0.25 // Helligkeit Schatten als Zusatz fr HDR + RS
  area_light
  <256, 0, 0> <0, 0, 256>
  5, 5
  adaptive 2
  jitter circular orient
  
}  

//--------------------------------------------------------------------------

#if(e3d_textured_floor=on)
// Unterlage als unendliches Plane
	plane{y,-0 // Hhe ber Boden
	 texture{
	  pigment{image_map{jpeg "iron.jpg"}} // use any jpg of your choice as big as possible
	  finish{reflection{0.04,.02} phong 3 ambient 0.3 diffuse 1 }
	  translate -.5 rotate <45,45,0> scale <10,10,10>*68
	 }
	}
#else
	plane{y,-2 texture{pigment { rgb<1,1,1>} finish{reflection{0.01,.05} phong 3 ambient 0.3 diffuse 0.8 }}}
	
#end



camera
{
	location <cam_x,cam_y,cam_z>
	look_at <cam_look_x,cam_look_y,cam_look_z>
	#if(e3d_focal_blur = on)
		focal_point <cam_focus_x,cam_focus_y,cam_focus_z>
		aperture cam_aperture
		blur_samples cam_blur_samples
		variance cam_variance 
		confidence cam_confidence
	#end
	right x*image_width/image_height
	angle cam_a
	bokeh {
	    pigment {rgb <0.5,0.4,0.0>}
	}
	up y
		//perspective  
	//versetzt die Kamera, sodass <0,0,0> ber dem Eagle-Nullpunkt ist
	//translate<-10.947500,0,-26.506250>
} 

background{col_bgr}

#end // end of "use_file_as_inc" block

//Eagle3d Custom Codeblock Ende


// Your PCB Macro below

//#macro PCB(mac_x_ver,mac_y_ver,mac_z_ver,mac_x_rot,mac_y_rot,mac_z_rot)
